Brands
1 API call in this section.
List Brands
Public APIs / Storefront / Brands
GET
/public/storefront/:storeSlug/brandsList all active brands for a storefront.
No auth required.
Path parameters
| Parameter | Type | Description |
|---|---|---|
storeSlugRequired | string | Example: |
Query parameters
| Parameter | Type | Description |
|---|---|---|
page | string | Example: |
limit | string | Example: |
searchOptional | string | Search brand name |
Request
curl
1curl --globoff --request GET "https://staging-api.ondi.io/functions/v1/public/storefront/${STORESLUG}/brands?page=1&limit=20"Response examples
200OK
Response body
json
1{2 "success": true,3 "data": {4 "market": {5 "id": "market-uuid",6 "slug": "my-store",7 "store_name": {8 "en": "My Store"9 },10 "status": "active"11 },12 "brands": [13 {14 "id": "brand-uuid",15 "name": {16 "en": "Apple",17 "ar": "آبل"18 },19 "logo_url": "https://cdn.example.com/apple-logo.png",20 "is_active": true21 }22 ],23 "pagination": {24 "page": 1,25 "limit": 20,26 "total": 1,27 "totalPages": 128 }29 }30}